API Explorer 896 endpoints

Get Public certification_body by id

GET /obp/dynamic-entity/banks/ogcr/public/certification_body/CERTIFICATION_BODY_ID

OBPv4.0.0-dynamicEntity_getSinglePubliccertification_body_ogcr No role required _Certification_body(ogcr)Dynamic-EntityDynamic

Get Public certification_body by id.

‘certification body’ means an accredited or recognised independent conformity assessment body that has concluded an agreement with a certification scheme to carry out certification audits and issue certificates of compliance;. This Dynamic Entity is part of OGCR.

Property List:

  • certification_body_id: Unique identifier for the certification body
  • legal_name: Legal or trading name of the certification body
  • address_line_1: Certification body primary street address (street name, building number, P.O. Box if applicable)
  • address_line_2: Certification body secondary, optional details like apartment, suite, unit, floor, or building name
  • address_city: City
  • address_postcode: Certification body postcode
  • country_id: ISO 3166-1 alpha-2 country code for certification body address.
  • logo: URL or asset reference to a logo image for UI/PDF rendering.

MethodRouting settings example:

<details>

{
  "is_bank_id_exact_match":false,
  "method_name":"dynamicEntityProcess",
  "connector_name":"rest_vMar2019",
  "bank_id_pattern":".*",
  "parameters":[
    {
        "key":"entityName",
        "value":"certification_body"
    }
    {
        "key":"url",
        "value":"http://mydomain.com/xxx"
    }
  ]
}

</details>

Authentication is Optional

User Authentication is Optional. The User need not be logged in.

Example success response
{
  "bank_id": "ogcr",
  "certification_body": {
    "certification_body_id": "cb_01HZZ1M2A3B4C5D6E7F8",
    "legal_name": "DNV Business Assurance Germany GmbH",
    "accreditation_route": "string",
    "address_line_1": "Brooktorkai 18",
    "address_line_2": "5th Floor",
    "address_city": "Hamburg",
    "address_postcode": "20457",
    "country_id": "DE",
    "status": "string",
    "email": "string",
    "website": "string",
    "logo": "https://cdn.example.org/logos/dnv.png"
  }
}
Possible errors (1)
  • OBP-50000: Unknown Error.
Implemented by OBPv4.0.0 dynamicEntity_getSinglePubliccertification_body_ogcr Originally /banks/ogcr/public/certification_body/CERTIFICATION_BODY_ID